<?PHP
/**
 * gjPatTemplate HighlightPHP filter
 *
 * $Id: HighlightPhp.php 378 2005-03-26 08:38:51Z schst $
 *
 * Highlights PHP code in the output.
 *
 * @package		gjPatTemplate
 * @subpackage	Filters
 * @author		Stephan Schmidt <schst@php.net>
 */

/**
 * gjPatTemplate HighlightPHP filter
 *
 * $Id: HighlightPhp.php 378 2005-03-26 08:38:51Z schst $
 *
 * Highlights PHP code in the output.
 *
 * @package		gjPatTemplate
 * @subpackage	Filters
 * @author		Stephan Schmidt <schst@php.net>
 */
class gjPatTemplate_OutputFilter_HighlightPhp extends gjPatTemplate_OutputFilter
{
   /**
    * filter name
	*
	* @access	protected
	* @abstract
	* @var	string
	*/
	var	$_name	=	'HighlightPhp';

   /**
	* remove all whitespace from the output
	*
	* @access	public
	* @param	string		data
	* @return	string		data without whitespace
	*/
	function apply( $data )
	{
	    return highlight_string($data, true);
	}
}
?>