<?PHP
/**
 * gjPatTemplate Reader that reads from a string
 *
 * $Id: String.php 181 2004-04-23 22:01:02Z schst $
 *
 * @package		gjPatTemplate
 * @subpackage	Readers
 * @author		Stephan Schmidt <schst@php.net>
 */

/**
 * gjPatTemplate Reader that reads from a string
 *
 * @package		gjPatTemplate
 * @subpackage	Readers
 * @author		Stephan Schmidt <schst@php.net>
 */
class gjPatTemplate_Reader_String extends gjPatTemplate_Reader
{
   /**
    * Read templates from a string
	*
	* @final
	* @access	public
	* @param	string	string to parse
	* @param	array	options, not implemented in current versions, but future versions will allow passing of options
	* @return	array	templates
	*/
	function readTemplates( $input )
	{
		$this->_currentInput = $input;

		$templates	=	$this->parseString( $input );
		
		return	$templates;
	}
}
?>