<?php
/**
* @version $Id: toolbar.groupjive.html.php
* @package Joomla!
* @subpackage GroupJive
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL v2
* @Joomla! is Free Software
* @author Joshua Holmes
* @further developed by Anna Tannenberg, John Bultena, Michael Perthel, David Freund, Mark Raborn and Project GroupJive.
*/

defined( '_VALID_MOS' ) or defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class menuGroupJive{
	function OPTIONS_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Settings' ), 'config.png' );
			JToolBarHelper::save( 'saveconfig' );
			JToolBarHelper::back();
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::save('saveconfig');
			mosMenuBar::spacer();
			mosMenuBar::back();
			mosMenuBar::endTable();
		}
	}

	function CATEGORY_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Category Manager' ) .': <small><small>[ '. JText::_('Groupjive').' ]</small></small>', 'categories.png' );
			JToolBarHelper::publishList('publishcat');
			JToolBarHelper::unpublishList('unpublishcat');
			JToolBarHelper::deleteList( ' ', 'delcategory', 'Remove' );
			JToolBarHelper::editListX('editcategory', 'Edit');
			JToolBarHelper::addNewX('newcategory');

			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::addNew('newcategory');
			mosMenuBar::editList('editcategory', 'Edit');
			mosMenuBar::deleteList( ' ', 'delcategory', 'Remove' );		
			mosMenuBar::divider();		
			mosMenuBar::publish('publishcat');
			mosMenuBar::unpublish('unpublishcat');
			mosMenuBar::endTable();
		}
	}

	function GROUP_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Category Manager' ) .': <small><small>[ '. JText::_('Groupjive').' ]</small></small>', 'categories.png' );
			JToolBarHelper::publishList('publishgroup');
			JToolBarHelper::unpublishList('unpublishgroup');
			JToolBarHelper::deleteList( ' ', 'delgroup', 'Remove' );
			JToolBarHelper::editListX('editgroup', 'Edit');
			JToolBarHelper::addNewX('newgroup');
			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::addNew('newgroup');
			mosMenuBar::editList('editgroup', 'Edit');
			mosMenuBar::deleteList( ' ', 'delgroup', 'Remove' );
			mosMenuBar::divider();
			mosMenuBar::publish('publishgroup');
			mosMenuBar::unpublish('unpublishgroup');
			mosMenuBar::endTable();
		}
	}

	function MEMBER_ADD_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Member Manager' ) .': <small><small>[ '. JText::_('Add').' ]</small></small>', 'user.png' );
			JToolBarHelper::editListX( 'saveaddmembers', 'Add members now' );
			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::editList('saveaddmembers', 'Add members now');
			mosMenuBar::spacer();
			mosMenuBar::back();	
			mosMenuBar::endTable();
		}
	}

	function MEMBER_DELETE_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Member Manager' ) .': <small><small>[ '. JText::_('Delete').' ]</small></small>', 'user.png' );
			JToolBarHelper::deleteList( '   ->  This step will remove the member(s) from the selected Group(s).','savedeletemembers', 'Remove members now' );
			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::deleteList('   ->  This step will remove the member(s) from the selected Group(s).','savedeletemembers', 'Remove members now');
			mosMenuBar::spacer();
			mosMenuBar::back();	
			mosMenuBar::endTable();
		}
	}

	function MEMBER_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Member Manager' ) .': <small><small>[ '. JText::_('Overview').' ]</small></small>', 'user.png' );
			JToolBarHelper::deleteList( '   ->  Click OK to select the Group(s) from which you will remove the member(s).', 'deletemembers', 'Remove members' );
			JToolBarHelper::editListX('addmembers', 'Add members<br />to a group');
			JToolBarHelper::addNewX('invitemembers','Invite members<br />to a group');
			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::addNew('invitemembers','Invite members<br />to a group');
			mosMenuBar::spacer();
			mosMenuBar::editList('addmembers', 'Add members<br />to a group');
			mosMenuBar::spacer();
			mosMenuBar::deleteList('   ->  Click OK to select the Group(s) from which you will remove the member(s).', 'deletemembers', 'Remove members' );		
			mosMenuBar::spacer();		
			mosMenuBar::back();	
			mosMenuBar::endTable();
		}
	}

	function EDITCATEGORY_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Category Manager' ) .': <small><small>[ '. JText::_('Edit').' ]</small></small>', 'categories.png' );
			JToolBarHelper::save('savecategory');
			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::save('savecategory');
			mosMenuBar::spacer();
			mosMenuBar::back();
			mosMenuBar::endTable();
		}
	}

	function EDITGROUP_MENU() {
		if (checkjversion()==1) {
			JToolBarHelper::title( JText::_( 'Group Manager' ) .': <small><small>[ '. JText::_('Edit').' ]</small></small>', 'user.png' );
			JToolBarHelper::save('savegroup');
			JToolBarHelper::back();
		
		}
		else {
			mosMenuBar::startTable();
			mosMenuBar::save('savegroup');
			mosMenuBar::spacer();
			mosMenuBar::back();
			mosMenuBar::endTable();
		}
	}
}
?>
