<?PHP
/**
 * Base class for gjPatTemplate input filter
 *
 * $Id: InputFilter.php 219 2004-05-25 20:38:38Z schst $
 *
 * An input filter is used to modify the stream
 * before it has been processed by gjPatTemplate_Reader.
 *
 * @package		gjPatTemplate
 * @subpackage	Filters
 * @author		Stephan Schmidt <schst@php.net>
 */

/**
 * Base class for gjPatTemplate input filter
 *
 * $Id: InputFilter.php 219 2004-05-25 20:38:38Z schst $
 *
 * An input filter is used to modify the stream
 * before it has been processed by gjPatTemplate_Reader.
 *
 * @abstract
 * @package		gjPatTemplate
 * @subpackage	Filters
 * @author		Stephan Schmidt <schst@php.net>
 */
class gjPatTemplate_InputFilter extends gjPatTemplate_Module
{
   /**
	* apply the filter
	*
	* @access	public
	* @param	string		data
	* @return	string		filtered data
	*/
	function apply( $data )
	{
		return $data;
	}
}
?>